Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:      	PyQt4
Version:   	4.4.2
Release:   	1
Provides:	PyQt4
License: 	GNU/GPL
URL:		http://www.riverbankcomputing.co.uk/pyqt/
Group:     	Development/Python
Source0: 	PyQt-x11-gpl-%{version}.tar.gz
Patch3:  	PyQt-x11-gpl-4.3.1-QT_SHARED.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Summary:   	PyQt4 is a set of Python bindings for version 4 of the Qt toolkit.
BuildRequires:	python sip-devel qt4-devel libXinerama-devel libXrandr-devel libXrender-devel 
BuildRequires:	glibc-devel libSM-devel libX11-devel libXcursor-devel libXext-devel libXfixes-devel libXi-devel
BuildRequires:	fontconfig-devel freetype-devel libpng-devel libstdc++-devel


Requires:	python sip

%global python_ver %(%{__python} -c "import sys ; print sys.version[:3]")
%global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

%description
PyQt4 is a set of Python bindings for version 4 of the Qt toolkit.

%package devel
Summary: 	Files needed to build other bindings based on Qt4
Group:	 	Development/Languages
Requires: 	%{name} = %{version}-%{release}
Requires: 	qt4-devel
Requires: 	sip-devel
Obsoletes:	%{name}-examples %{name}-doc

%description devel
Files needed to build other bindings for C++ classes that inherit from any
of the Qt4 classes (e.g. KDE or your own).

%post
ldconfig

%postun
ldconfig

%prep
%setup -n PyQt-x11-gpl-%{version}

%patch3 -p1 -b .QT_SHARED

# mark examples non-executable
find examples/ -name "*.py" | xargs chmod a-x


%build
QT4DIR=%{_qt4_prefix}
PATH=%{_qt4_bindir}:$PATH ; export PATH

# configure.py isn't smart enough to either use qmake or QMAKEPATH
QMAKESPEC=$QT4DIR/mkspecs/linux-g++; export QMAKESPEC

echo yes | %{__python} configure.py --verbose 

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} INSTALL_ROOT=%{buildroot}

# fix/remove rpath
chrpath --list   %{buildroot}%{python_sitearch}/PyQt4/QtDesigner.so
chrpath --delete %{buildroot}%{python_sitearch}/PyQt4/QtDesigner.so

# non-executable script
chmod 755 %{buildroot}%{python_sitearch}/PyQt4/uic/pyuic.py

# missing shebang
cp -a %{buildroot}%{_bindir}/pyuic4 %{buildroot}%{_bindir}/pyuic4.ORIG
cat > %{buildroot}%{_bindir}/pyuic4 <<EOF
#!/bin/sh

EOF
cat %{buildroot}%{_bindir}/pyuic4.ORIG >> %{buildroot}%{_bindir}/pyuic4
rm -f %{buildroot}%{_bindir}/pyuic4.ORIG

%files
%defattr(-,root,root,-)
%doc NEWS README
%doc OPENSOURCE-NOTICE.TXT
%doc LICENSE.GPL2 GPL_EXCEPTION*.TXT
%doc LICENSE.GPL3
%{python_sitearch}/PyQt4/
%{python_sitelib}/dbus/mainloop/qt.so

%files devel
%defattr(-,root,root,-)
%doc doc/*
%doc examples/
%{_bindir}/*
%{_datadir}/sip/PyQt4/
%{_qt4_plugindir}/designer/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jun 19 2008 Christian Metzen <metzench@ccux-linux.de> 4.4.2-1
- Version update
* Fri Oct 05 2007 Simon Schmeisser <wrt@ccux-linux.de> 4.3.1-1
- Version update
* Sun Jan 14 2007 Simon Schmeisser <wrt@ccux-linux.de> 4.1.1-1
- Version update
* Tue Jul 11 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 4.0-1
- Initial Release
